New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update scalafmt to 1.5.1 #6403

Merged
merged 1 commit into from Aug 28, 2018

Conversation

Projects
None yet
2 participants
@ShaneDelmore
Copy link
Contributor

ShaneDelmore commented Aug 27, 2018

Problem

The scalafmt plugin is out of date and no longer matches the latest plugins for IntelliJ

Solution

Update the version to 1.5.1

@stuhood
Copy link
Member

stuhood left a comment

Thanks!

Will merge on green CI.

@ShaneDelmore

This comment has been minimized.

Copy link
Contributor

ShaneDelmore commented Aug 27, 2018

The build failed but it appears unreleated to scalafmt.

The error I see is
error: Could not compile petgraph.
in https://travis-ci.org/pantsbuild/pants/jobs/421270953

@stuhood

This comment has been minimized.

Copy link
Member

stuhood commented Aug 27, 2018

@ShaneDelmore : That's likely related to #6402: if the one failure we saw here is the only failure, I'll likely just wait for #6402 to land and then consider this to be green.

@stuhood

This comment has been minimized.

Copy link
Member

stuhood commented Aug 27, 2018

@ShaneDelmore : Thanks: this looks good. I'll land it after #6402 and #6396.

@stuhood stuhood merged commit e0b8b88 into pantsbuild:master Aug 28, 2018

1 check failed

continuous-integration/travis-ci/pr The Travis CI build failed
Details

@ShaneDelmore ShaneDelmore deleted the ShaneDelmore:sdelmore/update_scalafmt_version branch Aug 28, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment